View Issue Details

IDProjectCategoryView StatusLast Update
0009538Part 81: UAFX Connecting Devices and Information ModelSpecpublic2024-07-09 14:45
ReporterJohannes Kempf Assigned ToPaul Hunkar  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionreopened 
Product Version1.00.02 
Fixed in Version1.00.03 
Summary0009538: ReferenceType between Connectors folder and related instances of AssetConnectorType
Description

Part 81 doesn't explicitly specify which reference shall be used between the Connectors folder and related instances of subtypes of AssetConnectorType.
So typically an Organizes reference is used for objects of FolderType instances.
However the BrowsePath in the text below Figure D.16 uses a HasComponent reference between Connectors and Slot1.
The semantic behind applies that the Slot1 of the example is part of the Connectors folder object. Actually IoBlock2 contains Slot1.

TagsNo tags attached.

Activities

Paul Hunkar

2024-05-13 05:07

manager   ~0021184

There are no requirements that a folder contain Organize references, it can also contain HasChild references (HasComponent, HasProperty....)
also IOBlock2 has its own Connectors folder which has its own Slot1 - probably the figure would have been better if was termed IO_Slot1, but the figure is only being used to illustrate brose paths that can be verified

Paul Hunkar

2024-05-24 13:55

manager   ~0021231

updated figure with new name "IOSlot1"

Paul Hunkar

2024-07-09 12:36

manager   ~0021426

Updated figure to indicate that the two slot1 items are different items - renamed one of them to IOSlot1

Johannes Kempf

2024-07-09 14:18

reporter   ~0021428

Sorry to reopen the issue. The BrowsePath below Figure D.16 contains still the old name "Slot1". It should be renamed as well.

Paul Hunkar

2024-07-09 14:45

manager   ~0021429

Fixed

Issue History

Date Modified Username Field Change
2024-05-06 16:52 Johannes Kempf New Issue
2024-05-13 05:07 Paul Hunkar Note Added: 0021184
2024-05-24 13:55 Paul Hunkar Assigned To => Paul Hunkar
2024-05-24 13:55 Paul Hunkar Status new => assigned
2024-05-24 13:55 Paul Hunkar Note Added: 0021231
2024-07-09 12:36 Paul Hunkar Status assigned => resolved
2024-07-09 12:36 Paul Hunkar Resolution open => fixed
2024-07-09 12:36 Paul Hunkar Fixed in Version => 1.00.03
2024-07-09 12:36 Paul Hunkar Note Added: 0021426
2024-07-09 14:18 Johannes Kempf Status resolved => feedback
2024-07-09 14:18 Johannes Kempf Resolution fixed => reopened
2024-07-09 14:18 Johannes Kempf Note Added: 0021428
2024-07-09 14:45 Paul Hunkar Status feedback => resolved
2024-07-09 14:45 Paul Hunkar Note Added: 0021429